# Variable ReadableStream

ReadableStream: {
prototype: ReadableStream<any>;
from<T>(iterable): ReadableStream<T>;
new (underlyingSource, strategy?): ReadableStream<Uint8Array>;
new <R>(underlyingSource?, strategy?): ReadableStream<R>;
}

#### Type declaration

- - new (underlyingSource, strategy?): ReadableStream<Uint8Array>

  - #### Parameters

    - underlyingSource: UnderlyingByteSource
    - `Optional` strategy: QueuingStrategy<Uint8Array>

    #### Returns ReadableStream<Uint8Array>

  - new <R>(underlyingSource?, strategy?): ReadableStream<R>

  - #### Type Parameters

    - R = any

    #### Parameters

    - `Optional` underlyingSource: UnderlyingSource<R>
    - `Optional` strategy: QueuingStrategy<R>

    #### Returns ReadableStream<R>

- ##### prototype: ReadableStream<any>

- ##### from:function

  - from<T>(iterable): ReadableStream<T>

  - #### Type Parameters

    - T

    #### Parameters

    - iterable: Iterable<T> | AsyncIterable<T>

    #### Returns ReadableStream<T>

    - Defined in node_modules/@types/node/stream/web.d.ts:159

- Defined in node_modules/@types/node/stream/web.d.ts:146
- Defined in node_modules/@types/node/stream/web.d.ts:157